#include <CGAL/Gmpq.h>
#include <CGAL/Cartesian.h>
#include <CGAL/Arr_segment_traits_2.h>
#include <CGAL/Arr_curve_data_traits_2.h>
#include <CGAL/Env_default_diagram_1.h>
#include <CGAL/envelope_2.h>

#include <list>
#include <iostream>
#include "segment.h"
#include "tools.h"
#include "point.h"


typedef CGAL::Gmpq                                      Number_type;
//typedef double                                      Number_type;
typedef CGAL::Cartesian<Number_type>                    Kernel;
typedef CGAL::Arr_segment_traits_2<Kernel>              Segment_traits_2;
typedef Segment_traits_2::X_monotone_curve_2            Segment_2;
typedef CGAL::Arr_curve_data_traits_2<Segment_traits_2,
                                      uint>             Traits_2;
typedef Traits_2::Point_2                               Point_2;
typedef Traits_2::X_monotone_curve_2                    Labeled_segment_2;
typedef CGAL::Env_default_diagram_1<Traits_2>           Diagram_1;

using namespace std;

class Envelope{
	public:
	Envelope();
	~Envelope();
	
	void getenvlp(vector<segment>& input, vector<segment>& output);
	void getenvlp(vector<segment>& input, list<segment>& output);
	void printenvlp(vector<segment>& env);
};
