#ifndef _HDTREE
#define _HDTREE
#include <fcntl.h>
#include <iostream>
#include <fstream>
#include <vector>
#include <queue>
#include <list>
#include <algorithm>
#include "cgalenvelop.h"
#include "sdb.h"
#include "segment.h"
#include "point.h"
#include "tools.h"
#include "hdtnode.h"
#include "Random.h"

class HDTree 
{
 public:	  
  hdtnode* root;  
  vector < vector <segment> > vv;

  /************move out from insert2confl*********************/
  queue <hdtnode *> q;
  Random* rng;
  hdtnode * t;
  vector <hdtnode *>::iterator myit;
  //MTimer myt;
  uint count;
  uint qnodecount;
  int height;
  vector <hdtnode *>  firstlst;
  /********************************/

  HDTree(vector<segment>  smpli, Random* _rng);
  ~HDTree();

  void buildtree(char* path);
  void setupconflptr(hdtnode * first);
  void buildlvl(vector <segment> & D, char* path);
  int relation(segment us,segment ls);
  void _sampling();
  void insert2confl(segment &s, uint index);
  //bool is_in_traz(segment &ref, segment &q);
 };
#endif
