#include "point.h"
point::point()
    {
      x=0;
      y=0;
    }

 point::point(double xin, double yin)  
	{
		x=xin;
		y=yin;
	}

 point point::operator = (point b)
    {
      x=b.x;
      y=b.y;
      return *this;
    }
  
  point point::operator =(pair <double, double> p)
    {
      x=p.first;
      y=p.second;
      return *this;
    }
  bool point::operator < (point a)
  {
    return ( !Tools::double_le(x, a.x, 6) );  
  }

  bool point::operator == (point a)
  {
    return ( Tools::double_eq(x, a.x, 6) && Tools::double_eq(y, a.y, 6) );
  }

ostream & operator << (ostream & os, const point & p)
{
  return os<<p.x<<'\t'<<p.y;
}

istream & operator >> (istream & is, point & p)
{
  return is>>p.x>>p.y;
}
