#include "envelop.h"
#include "sdb.h"

using namespace std;

int main(int argc, char *argv[])
{
  if(argc!=4)
    {
      cout<<"Usage: sky data_file rawdata(0:false 1:yes) samlpe_base"<<endl;
      return 0;
    }
	vector<segment> sampled;
	vector<uint> usampled;
	ifstream fin;
	int raw=atoi(argv[2]);
	int base=atoi(argv[3]);
	if (raw==1)
	{	SDB sdb(argv[1]);
		sdb.readData();
		double srate=1.0/(double)base;
		sdb.sample(srate,sampled, usampled); 
	}
	else
	{
		fin.open(argv[1]);
		uint N=0;
		fin>>N;
		sampled.resize(N);
		for (uint i=0;i<N;i++)
		{
			fin>>sampled[i];
			sampled[i].buildseg();
		}
	}
      sky skycomp;
      list <segment> res;
      list <segment>::iterator it;
	if (raw==1)
	{
		cerr<<sampled.size()<<endl;
		for (uint i=0;i<sampled.size();i++)
			cerr<<sampled[i]<<endl;
	}		

      res=skycomp.getenvlp(sampled);
       for(it=res.begin();it!=res.end();++it)
	{
	  cout<<(*it)<<endl;
	}
  return 0;
}
