#include "gen.h"

gen::gen()
{}

gen::~gen()
{
	X.clear();
	Y.clear();	
}
void gen::genOneobj(uint maxsnum, uint ymin, uint ymax, uint sigmamin, uint sigmamax)
    {
	int segnum=(int)rander.uniform(3, maxsnum);
      insertX(segnum);
      insertY(segnum, (unsigned long)rander.uniform(ymin, ymax), rander.uniform(sigmamin, sigmamax));
      int i;
      cout.precision(12);
      cout<<segnum<<endl;
      for(i=0;i<segnum;i++)
	cout<<X[i]<<" "<<Y[i]<<endl<<flush;
	X.clear();
	Y.clear();
    }

  void gen::insertX(int segnum)
  {
    double x;
    int i=0;
    for (i=0;i<segnum;i++)
      {
	if(i==0||i==segnum-1)
	  {
	    if(i==0)
	      x=0;
	    else
	      x=Tools::xMAX;
	  }
	else
	  {
	    x=rander.uniform(0.0,Tools::xMAX);
	  }
	X.push_back(x);	
      }
    sort(X.begin(),X.end());
  }

  void gen::insertY(int segnum, unsigned long mean, double sigma)
  {
    double y;
    int i;
    for (i=0;i<segnum;i++)
      {
	y=abs(rander.normal(mean,sigma));
	if (y>Tools::MAX)
	{
		cout<<"sth is wrong "<<mean<<" "<<sigma<<endl;
		exit(-1);
	}
	Y.push_back(y);
      }
  }
