#ifndef _SEGMENT
#define _SEGMENT
#include "point.h"
#include "tools.h"
#include "shortsegment.h"
class segment
{
 public:
  int objid;
  int segid;
  point start,end;
  double A,B;
  segment();

  void buildseg();
  void buildseg(shortsegment& t);
  void buildseg(point p1, point p2, int oid, int pid);
  void buildseg(pair <double,double> p1, pair <double,double> p2, int oid, int pid);
  bool operator < (const segment & b) const;
  bool operator ==(const segment & b) const;
  double calculateY(double x);
  segment & operator=(const segment &b); 
  void swap(segment &b);
  static bool is_in_traz(segment &ref, segment &q);
  static bool AcontainB(segment sA, segment sB);
  static bool AoverlapsB(segment sA, segment sB);
  friend ostream& operator << (ostream& os, const segment& s);
  friend istream& operator >> (istream& is, segment& s);
};
#endif
